<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TimeDetailList.ascx.cs" Inherits="Webolize.TimeTracker.Web.TimeDetailList" %>
<asp:GridView ID="wf_TimeEntries" runat="server" Width="94%" AutoGenerateColumns="False" OnRowDataBound="wf_TimeEntries_RowDataBound" ShowFooter="True">
    <Columns>
        <asp:TemplateField HeaderText="Worked">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "WorkDate", "{0:d}")%>
        </ItemTemplate>
            <ItemStyle Width="70px" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="User">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "User.UserName" )%>
        </ItemTemplate>
            <ItemStyle Width="50px" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Hours">
        <ItemTemplate>
            <%# GetHoursSpent(DataBinder.Eval(Container.DataItem,"Minutes").ToString()) %>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="40px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Type">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "ServiceType.ShortName" )%> 
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="35px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Rate">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "ServiceType.RatePerHour", "{0:0.00}" ) %>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="35px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Fee">
        <ItemTemplate>
            <%# GetEntryFee(DataBinder.Eval(Container.DataItem,"Minutes").ToString(), DataBinder.Eval( Container.DataItem, "ServiceType.RatePerHour").ToString()) %>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="50px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:BoundField DataField="Notes" HeaderText="Notes" />
        <asp:TemplateField HeaderText="Task">
        <ItemTemplate>
            <%# GetIssueLink(DataBinder.Eval(Container.DataItem,"IssueID").ToString()) %>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Center" Width="30px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Edit">
        <ItemTemplate>
            <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# GetEditEntryURL(DataBinder.Eval(Container.DataItem,"ID").ToString()) %>' Text="edit">edit</asp:HyperLink>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="30px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
    </Columns>
   	<AlternatingRowStyle BackColor="Gainsboro"></AlternatingRowStyle>
	<RowStyle ForeColor="Black" VerticalAlign="Top" BackColor="#EEEEEE"></RowStyle>
	<HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
	<FooterStyle ForeColor="Black" BackColor="#CCCCCC" Font-Bold="True" HorizontalAlign="Right"></FooterStyle>
</asp:GridView>
